'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _totpToken = require('../../core/totpToken');

var _totpToken2 = _interopRequireDefault(_totpToken);

var _hotpSecret = require('../../core/hotpSecret');

var _hotpSecret2 = _interopRequireDefault(_hotpSecret);

var _decodeKey = require('./decodeKey');

var _decodeKey2 = _interopRequireDefault(_decodeKey);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Generates the Authenticator OTP code
 *
 * @module impl/authenticator/token
 * @param {string} secret - your secret that is used to generate the token
 * @param {object} options - additional options.
 * @return {number} OTP Code
 */
function token(secret, options) {
  var opt = _extends({
    createHmacSecret: _hotpSecret2.default
  }, options);
  return (0, _totpToken2.default)((0, _decodeKey2.default)(secret, opt.keyEncoding), opt);
}

exports.default = token;